function costf = bhcostf(x, my_ctx)

  %..Extract data from ctx.. 
  xlb = my_ctx.lb; 
  xup = my_ctx.ub; 
  b2vec = my_ctx.b2vec;

  %..Check lower bounds box constraint..
  feasable_lb  = (nnz(x<xlb)==0);

  %..Check upper bounds box constraint..
  feasable_ub  = (nnz(x>xub)==0);

  %..Are all constraints feasable..
  feasable = feasable_lb & feasable_ub;
 
  if (feasable)
  else
    costf = 1e12; 
  end 
  
bha = 2.12e-4; 
bhb = 7.358;
bhc = 1.18e6;

nur = bha + (1-bha)*b2vec.^bhb./(b2vec.^bhb+bhc);
mur = 1./nu;  
mu0 = 7*pi^2*1e-7; 

h2vec = b2vec./(mu0*mur); 

plot(h2vec, b2vec)
