  T = [0:0.0001:0.08];  
  Vmax = 28; 
  R    = 4.1; om = 2*pi*50; 

  IR  = Vmax/R*sin(om*T); 

  L1   = 1e-2; X = sqrt(R^2 + om^2*L1^2); theta = atan(om*R/L1);   
  IRL1 = Vmax/X*sin(om*T-theta);   

  L2   = 1e-1; X = sqrt(R^2 + om^2*L2^2); theta = atan(om*R/L2);   
  IRL2 = Vmax/X*sin(om*T-theta);   
 
  plot(T,IR,'Linewidth',2)
  hold on
  plot(T,IRL1,'--','Linewidth',2)
  plot(T,IRL2,'-.','Linewidth',2)
  hold off 
  xlabel('time [s]'), ylabel('current [A]')
  axis([0, 0.08, -8, 12])
  legend('zero inductance','intermediate inductance','high inductance')
  grid on 
  ax1 = gca;
  set(ax1,'Fontsize',14)
