close all 

mu0 = 4*pi*1e-7;

%..BH curve definition..
bha = 2.12e-4;
bhb = 7.358;
bhc = 1.18e6;

%..FCL device definition..
acNt   = 200;
lz     = 50e-3;
crwleg = 15e-3;
crhin  = 29e-3;
lpath  = 2*crhin; 
S      = lz*crwleg;
btopsi = acNt*S;
murtoL = mu0*acNt^2*S/lpath;

%..Define mur-b2 curve 
b   = [0:0.001:3];
b2  = b.*b;
nur = bha + (1-bha)*b2.^bhb./(b2.^bhb+bhc);
mur = 1./nur;
h   = nur.*b;

%..Define flux, inductance and current
psi = btopsi*b;
L   = murtoL*mur;
I   = lpath*h;

h11 = line(b,mur,'Color','b','Linewidth',2);
grid on 
ax1 = gca;
set(ax1,'XColor','k','YColor','k','Fontsize',14)
xlabel('normB [T]'), ylabel('mur')
ax2 = axes('Position',get(ax1,'Position'),...
           'XAxisLocation','top',...
           'YAxisLocation','right',...
           'Color','none',...
           'Fontsize',14,...
           'XColor','k','YColor','k');
xlabel('Flux [Vs]'), ylabel('Inductance L [H]')
get(ax2)
figure 

h22 = line(nur.*b,b,'Color','b','Linewidth',2); 
grid on 
ax1 = gca;
set(ax1,'XColor','k','YColor','k','Fontsize',14)
xlabel('normH [A/m]'), ylabel('normB [T]')
ax2 = axes('Position',get(ax1,'Position'),...
           'XAxisLocation','top',...
           'YAxisLocation','right',...
           'Color','none',...
           'Fontsize',14,...
           'XColor','k','YColor','k');
xlabel('Inductance [H]'), ylabel('Flux [Vs]')













