close all 

mu0 = 4*pi*1e-7;

%..BH curve definition..
bha = 2.12e-4;
bhb = 7.358;
bhc = 1.18e6;

%..FCL device definition..
nturns = 100;
lz     = 30e-3;
crwleg = 20e-3;
crhin  = 120e-3;
S      = lz*crwleg;
btopsi = nturns*S;
murtoL = mu0*nturns^2*S/lz;

%..Define mur-b2 curve 
b   = [0:0.001:3];
b2  = b.*b;
nur = bha + (1-bha)*b2.^bhb./(b2.^bhb+bhc);
mur = 1./nur;
h   = mur.*b;

%..Define flux, inductance and current
psi = nturns*S*b;
L   = mu0*nturns^2*S/lz*mur;
I   = lz*h;

h11 = line(b,mur,'Color','r')
ax1 = gca;
set(ax1,'XColor','r','YColor','r')
xlabel('b'), ylabel('mur')
ax2 = axes('Position',get(ax1,'Position'),...
           'XAxisLocation','top',...
           'YAxisLocation','right',...
           'Color','none',...
           'XColor','k','YColor','k');
hl2 = line(psi,L,'Color','k','Parent',ax2);
xlabel('flux'), ylabel('inductance')

