%..Driver for ODE model 

  global Limpd
  
  %..FCL device definition..
  dcNt   = 250;  
  acNt   = 200;
  lz     = 50e-3;
  crwleg = 15e-3;
  crhin  = 29e-3;
  lpath  = 2*crhin; 
  S      = lz*crwleg;
  mu0 = 4*pi*1e-7;

  %..Compute required conversion factors 
  btopsi = acNt*S;
  murtoL = mu0*acNt^2*S/lpath;
 
  %..DC flux contribution 
  Bsat   = 1.5; 
  psi_dc = dcNt*Bsat*S; 

  %..Store conversion factors in context 
  my_ctx.btopsi = btopsi; 
  my_ctx.murtoL = murtoL; 
  my_ctx.psi_dc = psi_dc; 

  %..Call ODE solver 
  [T,psi] = solve_rlcircuit(my_ctx); 

  %..Plot the flux.. 
  if (0)
    plot(T,psi), xlabel('Time'), ylabel('Flux')
  end 

  %..Post process and plot the current..
  Lvec = lookup_imped(psi,my_ctx); 
  Ivec = psi./Lvec; 
  if (1) 
    figure 
    plot(T,Ivec), xlabel('Time'), ylabel('Current')
  end 
 
%  plot(Limpd) 
